=== debian/changelog ===
tuntox (0.0.10.1-1) UNRELEASED; urgency=medium

  * Update to upstream 0.0.10.1

 -- GDR! <gdr@gdr.name>  Sun, 12 Jun 2022 13:22:47 +0200

tuntox (0.0.9-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- GDR! <gdr@gdr.name>  Fri, 14 Aug 2020 10:06:39 +0000
